org.eclipse.cdt.core.settings.model.util

## Class EntryStorageBasedLanguageData

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.extension.CDataObject
  - - org.eclipse.cdt.core.settings.model.extension.CLanguageData
    - - org.eclipse.cdt.core.settings.model.extension.impl.CDefaultLanguageData
      - - org.eclipse.cdt.core.settings.model.util.EntryStorageBasedLanguageData

All Implemented Interfaces:
  ICSettingBase

Direct Known Subclasses:
  UserAndDiscoveredEntryLanguageData

    public abstract class EntryStorageBasedLanguageData
    extends CDefaultLanguageData

### Field Summary

### Fields inherited from class org.eclipse.cdt.core.settings.model.extension.impl.CDefaultLanguageData

`EMPTY_STRING_ARRAY, fId, fIsModified, fLanguageId, fName, fSourceContentTypeIds, fSourceExts, fStore, fSupportedKinds, OP_COPY, OP_SET`

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

### Constructor Summary

Constructors
Constructor and Description
`EntryStorageBasedLanguageData()`
`EntryStorageBasedLanguageData(String id, CLanguageData base)`
`EntryStorageBasedLanguageData(String id, String languageId, String[] ids, boolean isContentTypes)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected EntryStore` `createStore()`
`ICLanguageSettingEntry[]` `getEntries(int kind)`
`protected ICLanguageSettingEntry[]` `getEntriesFromStore(int kind)`
`protected abstract AbstractEntryStorage` `getStorage(int kind)`
`void` `setEntries(int kind, ICLanguageSettingEntry[] entries)`
`protected void` `setEntriesToStore(int kind, ICLanguageSettingEntry[] entries)`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.impl.CDefaultLanguageData

`copySettingsFrom, createStore, getEntriesToCopy, getId, getLanguageId, getName, getSourceContentTypeIds, getSourceExtensions, getSupportedEntryKinds, isModified, isValid, processStoredEntries, setLanguageId, setModified, setSourceContentTypeIds, setSourceExtensions`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CLanguageData

`containsDiscoveredScannerInfo, getType`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CDataObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EntryStorageBasedLanguageData

    public EntryStorageBasedLanguageData()

#### EntryStorageBasedLanguageData

    public EntryStorageBasedLanguageData(String id,
                                         CLanguageData base)

#### EntryStorageBasedLanguageData

    public EntryStorageBasedLanguageData(String id,
                                         String languageId,
                                         String[] ids,
                                         boolean isContentTypes)

### Method Detail

#### getEntries

    public ICLanguageSettingEntry[] getEntries(int kind)

Overrides:
  `getEntries` in class `CDefaultLanguageData`

#### setEntries

    public void setEntries(int kind,
                           ICLanguageSettingEntry[] entries)

Overrides:
  `setEntries` in class `CDefaultLanguageData`

#### setEntriesToStore

    protected void setEntriesToStore(int kind,
                                     ICLanguageSettingEntry[] entries)

#### getEntriesFromStore

    protected ICLanguageSettingEntry[] getEntriesFromStore(int kind)

#### createStore

    protected EntryStore createStore()

Overrides:
  `createStore` in class `CDefaultLanguageData`

#### getStorage

    protected abstract AbstractEntryStorage getStorage(int kind)